Package Details: ttf-courier-prime 1.203-2

Git Clone URL: https://aur.archlinux.org/ttf-courier-prime.git (read-only)
Package Base: ttf-courier-prime
Description: Monospace Courier font alternative optimized for screenplays
Upstream URL: http://quoteunquoteapps.com/courierprime/
Licenses: custom
Submitter: tammer
Maintainer: Marcel_K
Last Packager: Marcel_K
Votes: 50
Popularity: 14.366408
First Submitted: 2013-01-30 04:31
Last Updated: 2017-01-11 16:39

Latest Comments

F1nny commented on 2017-01-14 23:02

Thanks for the quick fix Marcel!:)

Marcel_K commented on 2017-01-11 16:42

Yes, I'm still around. The issue was that the site now uses some https-redirection, the overriding of DLAGENTS as proposed by cryzed did the trick. F1nny got a checksum mismatch, because the same webpage that tried to redirect was downloaded three times, instead of the actual zip files.

Thanks for the heads up, everything is working again.

F1nny commented on 2017-01-10 22:44

I'm not sure what's up with this, I overrided the DL agents and that worked to download but the files are corrupt (realized when nabbing the shasums all the same), I'm just manually grabbing and tossing in /tmp/yaourt-tmp-*/ttf-courier-prime for now but something funky is up with the source/download nabbing - any ideas? Hoping maintainer still around!

/edit again - Can confirm manually downloading the links in a browser and tossing into the source dir works (with yaourt /tmp/yaourt-tmp-[username]/ttf-courier-prime/ )
Something up with the download option for some reason specific to this pkgbuild?

Utini commented on 2017-01-10 22:28

==> ERROR: Failure while downloading http://quoteunquoteapps.com/downloads/courier-prime.zip
Aborting...
:: failed to verify ttf-courier-prime integrity

Any ideas?

cryzed commented on 2017-01-10 05:03

I'm getting an SSL error when trying to makepkg this PKGBUILD:

-> Downloading courier-prime.zip...
curl: (60) SSL certificate problem: unable to get local issuer certificate

Overriding DLAGENTS in the PKGBUILD seems to be a working temporary solution (also yes really, the --insecure flag is needed for the http-handler):

DLAGENTS=(
'http::/usr/bin/curl --insecure -fLC - --retry 3 --retry-delay 3 -o %o %u'
'https::/usr/bin/curl -fLC - --retry 3 --retry-delay 3 -o %o %u'
)

brandons commented on 2016-04-25 01:18

I had to change line 21 in PKGBUILD to
cd "$srcdir/ttf"
to get it to install.

veeti commented on 2015-08-29 20:07

Could you consider adding the Sans and Code variants to this package? Thanks.

tammer commented on 2015-02-16 22:46

Thank you for discovering this error. Unfortunately I need to disown this package.

Marcel_K commented on 2015-02-16 22:37

You should add 'xorg-fonts-encodings' to depends, change license to 'custom' and add the license to "$pkgdir/usr/share/licenses/$pkgname/"

Moreover, its version number is 1.203, according to the readme file and you should really shorten the description a bit, probably truncating it after "[…] screenplays". You don't need that cumbersome method to install files, just

install -Dm644 *.ttf "$pkgdir/usr/share/fonts/TTF"

(in the correct directory) will do.

In the install file you do not need to regenerate metadata in /usr/share/fonts/Type1. Last, but not least, the category should be 'fonts', nowadays.